Mitglieder auflisten
curl --request GET \
--url https://{instanz}/api/rest/v1/communities/{slug}/members \
--header 'Authorization: Bearer <token>'import requests
url = "https://{instanz}/api/rest/v1/communities/{slug}/members"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{instanz}/api/rest/v1/communities/{slug}/members', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{instanz}/api/rest/v1/communities/{slug}/members",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{instanz}/api/rest/v1/communities/{slug}/members"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{instanz}/api/rest/v1/communities/{slug}/members")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{instanz}/api/rest/v1/communities/{slug}/members")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"items": [
{
"userId": "<string>",
"membershipId": "<string>",
"displayName": "<string>",
"avatarUrl": "<string>",
"role": "owner",
"status": "pending",
"level": 123,
"points": 123,
"joinedAt": "<string>",
"lastSeenAt": "<string>",
"online": true,
"customRoles": [
{
"id": "<string>",
"name": "<string>",
"visibility": "members"
}
],
"badges": [
{
"kind": "<string>",
"label": "<string>",
"color": "slate",
"plain": true,
"teamOnly": true
}
],
"nameColor": "slate",
"ageUnknown": true,
"profileUrl": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"address": {
"company": "<string>",
"extra": "<string>",
"street": "<string>",
"postalCode": "<string>",
"city": "<string>",
"country": "<string>",
"vatId": "<string>"
},
"phone": "<string>"
}
],
"page": 123,
"itemsPerPage": 123,
"totalItems": 123,
"hasMore": true
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"violations": [
{
"propertyPath": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"violations": [
{
"propertyPath": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"violations": [
{
"propertyPath": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"violations": [
{
"propertyPath": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"violations": [
{
"propertyPath": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"violations": [
{
"propertyPath": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}Mitglieder
Mitglieder auflisten
Mitgliederverzeichnis mit Suche, Filtern und Seiten – wie unter „Mitglieder“ für das Team. Ohne status erscheinen aktive und stummgeschaltete Mitglieder.
GET
/
api
/
rest
/
v1
/
communities
/
{slug}
/
members
Mitglieder auflisten
curl --request GET \
--url https://{instanz}/api/rest/v1/communities/{slug}/members \
--header 'Authorization: Bearer <token>'import requests
url = "https://{instanz}/api/rest/v1/communities/{slug}/members"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{instanz}/api/rest/v1/communities/{slug}/members', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{instanz}/api/rest/v1/communities/{slug}/members",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{instanz}/api/rest/v1/communities/{slug}/members"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{instanz}/api/rest/v1/communities/{slug}/members")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{instanz}/api/rest/v1/communities/{slug}/members")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"items": [
{
"userId": "<string>",
"membershipId": "<string>",
"displayName": "<string>",
"avatarUrl": "<string>",
"role": "owner",
"status": "pending",
"level": 123,
"points": 123,
"joinedAt": "<string>",
"lastSeenAt": "<string>",
"online": true,
"customRoles": [
{
"id": "<string>",
"name": "<string>",
"visibility": "members"
}
],
"badges": [
{
"kind": "<string>",
"label": "<string>",
"color": "slate",
"plain": true,
"teamOnly": true
}
],
"nameColor": "slate",
"ageUnknown": true,
"profileUrl": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"address": {
"company": "<string>",
"extra": "<string>",
"street": "<string>",
"postalCode": "<string>",
"city": "<string>",
"country": "<string>",
"vatId": "<string>"
},
"phone": "<string>"
}
],
"page": 123,
"itemsPerPage": 123,
"totalItems": 123,
"hasMore": true
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"violations": [
{
"propertyPath": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"violations": [
{
"propertyPath": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"violations": [
{
"propertyPath": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"violations": [
{
"propertyPath": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"violations": [
{
"propertyPath": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"violations": [
{
"propertyPath": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}